跳转到主要内容
计算管理/主机相关接口
PUTHost Related Interfaces起始版本 0.6同步需要认证

KVM运行Shell命令

KVM运行Shell命令

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

请求参数

请求体字段

  • kvmrunshellObject必填

    kvmrunshell 请求体结构

    • hostUuidsSet必填

      目标机器UUID

    • scriptString必填

      脚本

  • systemTagsList

    系统标签

  • userTagsList

    用户标签

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • errorErrorCode必填

    错误码,若不为null,则表示操作失败, 操作成功时该字段为null。 详情参考error

    • codeString必填

      错误码号,错误的全局唯一标识,例如SYS.1000, HOST.1001

    • descriptionString必填

      错误的概要描述

    • detailsString必填

      错误的详细信息

    • elaborationString必填

      保留字段,默认为null

    • opaqueLinkedHashMap必填

      保留字段,默认为null

    • causeErrorCode必填

      根错误,引发当前错误的源错误,若无原错误,该字段为null

  • inventoryMap必填

    详情参考inventory

    • returnCodeint必填

      返回代码。

    • stdoutString必填

      暂无描述。

    • stderrString必填

      暂无描述。

    • errorCodeErrorCode必填

      详情参考errorCode

      • codeString必填

        错误码号,错误的全局唯一标识,例如SYS.1000, HOST.1001

      • descriptionString必填

        错误的概要描述

      • detailsString必填

        错误的详细信息

      • elaborationString必填

        保留字段,默认为null

      • opaqueLinkedHashMap必填

        保留字段,默认为null

      • causeErrorCode必填

        根错误,引发当前错误的源错误,若无原错误,该字段为null

请求地址

PUT/zstack/v1/hosts/kvm/actions

/zstack/v1/hosts/kvm/actions

操作 ID

KvmRunShell

永久链接

请求示例

curl -X PUT 'http://{host}/zstack/v1/hosts/kvm/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"kvmrunshell":{"hostUuids":"<hostUuids>","script":"<script>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

响应示例

200
{ "inventory": { "8903b4b7fa694c149d932bc53ee716df": { "returnCode": 100.0, "stdout": "hello", "errorCode": {} } } }

变更历史

此 API 暂无变更历史记录。

查看全部变更历史